# Class CIM_LogInDeviceFile
extends CIM_Dependency

MessageLogs can reside in data files, on specially allocated storage areas such as disks or memory, or output as raw I/O streams. In fact, a single Log may use each of these mechanisms to output or capture its contents. The LogInDeviceFile association describes a Log outputting to a raw I/O stream DeviceFile - for example, a serial port on a UNIX system.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_LogInDeviceFile

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | MessageLogs can reside in data files, on specially allocated storage areas such as disks or memory, or output as raw I/O streams. In fact, a single Log may use each of these mechanisms to output or capture its contents. The LogInDeviceFile association describes a Log outputting to a raw I/O stream DeviceFile - for example, a serial port on a UNIX system.
UMLPackagePath | string | CIM::System::Logs
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_LogInDeviceFile | CIM_DeviceFile
Dependent | CIM_LogInDeviceFile | CIM_MessageLog

## Class Methods